Description

To go along with the improvements to the general QGIS layout in 0.11, adding the ability to specify/control the icon size would be a good

user interface improvement.

It seems that most icons render at their native image size (usually 32x32 or 22x22). Perhaps a preferences option could be added to allow

for rendering the icons at half of their normal size, which would allow for the maximization of screen usage for the rendered map while still

allowing for the use of the icons.

History

#1 - 2009-09-02 11:00 AM - mav -

This bug happens also on Ubuntu and Windows builds, with QGIS 1.1 & 1.2.

Icons appear really very big on QGIS, like no other application.

I even tried to create a new theme with a set of icons that I have reduced, but even with this 18x18 icons, the buttons appears so hugh!

Isn't it a problem with a kind of settings of the size of the button fixed with a too high value?

#2 - 2009-09-02 11:06 AM - Giovanni Manghi

can you please send a screenshot?

#3 - 2009-10-03 08:00 AM - mav -

As you can see on the capture, toolbar buttons are note resized to match icons size. There's always a lot of unused pixels around each icon/button.

#4 - 2010-07-20 09:45 AM - Charles Timko -

- Status changed from Open to In Progress

I think I have this solved (atleast for Debian/Ubuntu).  The patch should be up a bit later.

#5 - 2011-04-17 08:36 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from In Progress to Closed
Starting from commit:4c53217a (SVN r15137) there is an option in QGIS settings to set icon size to 16, 24, or 32 px.
